<?php

require_once plugin_dir_path(__FILE__) . 'partials/custom-pages/fans-united-login-page.php';
require_once plugin_dir_path(__FILE__) . 'partials/custom-pages/fans-united-register-page.php';
require_once plugin_dir_path(__FILE__) . 'partials/custom-pages/fans-united-forgotten-pass-page.php';
require_once plugin_dir_path(__FILE__) . 'partials/custom-pages/fans-united-profile.php';
require_once plugin_dir_path(__FILE__) . 'partials/custom-pages/top-x-by-id.php';
require_once plugin_dir_path(__FILE__) . 'partials/custom-pages/match-quiz-by-id.php';
require_once plugin_dir_path(__FILE__) . 'partials/custom-pages/classic-quiz-by-id.php';
require_once plugin_dir_path(__FILE__) . 'partials/custom-pages/leaderboard-by-id.php';
require_once plugin_dir_path(__FILE__) . 'partials/custom-pages/public-profile.php';

// Hide top bar for logged-in users
function hide_admin_bar_for_subscribers($show) {
    if (current_user_can('subscriber')) {
        return false;
    }
    return $show;
}
add_filter('show_admin_bar', 'hide_admin_bar_for_subscribers');

// redirect native WP profile page for subscribers
function redirect_subscribers_to_home() {
    $options = get_option('fans_united_options');
    $profilePage = $options['fans_united_profile_path'] ? $options['fans_united_profile_path'] : '/fans-united-profile';
    if (current_user_can('subscriber') && (is_admin() && !defined('DOING_AJAX'))) {
        wp_redirect($profilePage);
        exit;
    }
}
add_action('admin_init', 'redirect_subscribers_to_home');

