<?php

define('FANSUNITED_DEFAULT_LABELS', [

    // General labels
    'yes' => 'Yes',
    'no' => 'No',
    'prediction' => 'Prediction',
    'favourites' => 'Favourites',
    'search' => 'Search',
    'save' => 'Save',
    'edit' => 'Edit',
    'back' => 'Back',
    'next' => 'Next',
    'play' => 'Play',
    'vs' => 'vs',

    // Auth labels
    'auth_login' => 'Log In',
    'auth_logout' => 'Log Out',
    'auth_signin' => 'Sign In',
    'auth_signin_facebook' => 'Sign In with Facebook',
    'auth_signin_google' => 'Sign In with Google',
    'auth_signout' => 'Sign Out',
    'auth_login_success' => 'You have successfully logged in.',
    'auth_login_error' => 'Sign-in failed. Please try again.',
    'auth_register' => 'Register',
    'auth_register_success' => 'You have successfully registered.',
    'auth_register_error' => 'Registration failed. Please try again.',
    'auth_register_error_passwords_match' => 'Passwords do not match.',
    'auth_email' => 'Email',
    'auth_password' => 'Password',
    'auth_confirm_password' => 'Confirm Password',
    'auth_name' => 'Name',
    'auth_reset_password' => 'Reset Password',
    'auth_forgotten_password' => 'Forgotten Password',
    'auth_forgotten_password_email_sent' => 'Password reset email sent. Please check your inbox.',
    'auth_forgotten_password_failed_email' => 'Failed to send password reset email. Please try again.',

    // Shared game labels
    'game_days' => 'Days',
    'game_hours' => 'Hours',
    'game_minutes' => 'Minutes',
    'game_seconds' => 'Seconds',
    'game_status_live' => 'This game has already started and predictions are no longer accepted.',
    'game_status_open' => 'This game is open and predictions will be accepted for',
    'game_status_started' => 'This game has already started and predictions are no longer accepted.',
    'game_status_over' => 'This game is over and the predictions are being settled.',
    'game_status_cancelled' => 'This game has been canceled and cannot be played.',
    'game_status_settled' => 'This game is over and the predictions are alreday settled. You can see the actual match results below.',
    'game_status_closed' => 'This game is over and the predictions are being settled.',
    'game_status_pending' => 'This game will start in:',
    'game_no_rankings' => 'No rankings are available for this contest yet. Please check back later.',
    'game_no_winners' => 'No winners are announced for this contest yet. Please check back later.',
    'game_rankings_name' => 'Name',
    'game_rankings_points' => 'Points',
    'game_rankings_load_more' => 'Load More',
    'game_rankings_my_position' => 'Me',
    'game_points_won' => 'Points Won',
    'game_prediction_made' => 'Prediction made',
    'game_actual_result' => 'Actual result',
    'game_draw' => 'Draw',
    'game_no_goal' => 'No goal',
    'game_own_goal' => 'Own goal',
    'game_kickoff_at' => 'Kick-off at',
    'game_login_to_play' => 'You need to be a logged-in user in order to play.',
    'game_related' => 'Related games',
    'game_leaderboard_settled_message' => 'This game is SETTLED and can no longer be played.',
    'game_error_make_selection' => 'Please make a selection before continuing.',
    'game_your_predictions' => 'Your predictions:',
    'game_make_predictions' => 'Place your prediction',
    'game_your_email' => 'Your Email Address',
    'game_your_email_reason' => 'Your email address is needed for contact in case you win the game. Make sure you provide a valid email.',
    'game_no_participations' => 'There have been no game participations yet',

    // Top X game labels
    'top_x_play' => 'Play',
    'top_x_ranking' => 'Ranking',
    'top_x_winners' => 'Winners',
    'top_x_rules' => 'Rules',
    'top_x_prize' => 'Prize',
    'top_x_question' => 'What will be the correct score?',
    'top_x_golden_goal_question' => 'Minute of the first goal in all matches?',
    'top_x_golden_goal_description' => 'This is a tie-breaker in case two players have the same number of points.',
    'top_x_agree_terms' => 'I agree to the terms of service and rules of the game.',
    'top_x_submit' => 'Submit',
    'top_x_success' => 'You successfully placed your predictions.',
    'top_x_error' => 'There was an error accepting your predictions. Please reload the page and try again. If the problem persists, contact the administrator.',
    'top_x_error_invalid_input' => 'Your prediction for one or more markets has not been made.',
    'top_x_golden_goal_prediction' => 'Golden goal prediction',

    // Match Quiz labels
    'match_quiz_play' => 'Play',
    'match_quiz_ranking' => 'Ranking',
    'match_quiz_winners' => 'Winners',
    'match_quiz_rules' => 'Rules',
    'match_quiz_prize' => 'Prize',

    // Interests
    'interests' => 'Interests',
    'teams' => 'Teams',
    'competitions' => 'Competitions',
    'players' => 'Players',
    'other_sports' => 'Other Sports',
    'manage_interests' => 'Manage Interests',
    'remove_interest' => 'Remove Interest',
    'add_interests' => 'Add Interests',
    'most_popular_teams' => 'Most popular football teams',
    'most_popular_competitions' => 'Most popular football competitions',
    'most_popular_players' => 'Most popular football players',
    'added_interest_successfully' => 'You interest was added successfully',
    'added_interest_error' => 'There was an error adding your interest. Please try again later',
    'removed_interest_successfully' => 'You interest was removed successfully',
    'removed_interest_error' => 'There was an error removing your interest. Please try again later',
    'added_favourite_successfully' => 'Your successfully marked your interest as a favourite',
    'added_favourite_error' => 'There was an error marking your interest as a favourite. Please try again later.',
    'removed_favourite_successfully' => 'You favourite was removed successfully',
    'user_no_interests' => 'You have added no interests. Please use the Manage Interests button to follow your favourite teams, players and competitions.',
    'public_user_no_interests' => 'This user has added no interests. Once they do, they will appear here.',
    'user_no_success_rates' => 'No success rates have been calculated yet. Once the user\'s first predictions are settled, the success rates will appear here.',

    // Predictions
    'prediction_success' => 'Your prediction was placed successfully',
    'prediction_error' => 'There was an error accepting your prediction. Please try again later.',
    'today' => 'Today',
    'tomorrow' => 'Tomorrow',
    'next7days' => 'Next 7 days',
    'top_predictions_no_matches' => 'There are no suggested matches. Please try a different day.',
    'tab_1x2' => '1X2',
    'tab_correct_score' => 'Correct Score',
    'tab_yes_no' => 'Yes/No',
    'delete_prediction_success' => 'Your prediction was successfully deleted',
    'delete_prediction_error' => 'There was an error deleting your prediction. Please try again later.',
    'football_player' => 'Player',
    'no_predictions' => 'No predictions have been made yet',

    // Profile labels    
    'profile' => 'Profile',
    'profile_predictions' => 'Predictions',
    'profile_top_x_participations' => 'Top X Participations',
    'profile_match_quiz_participations' => 'Match Quiz Participations',
    'profile_points' => 'Points',
    'profile_tier' => 'Tier',
    'profile_badges' => 'Badges',
    'profile_success_rate_teams' => 'Success rate for teams',
    'profile_success_rate_competitions' => 'Success rate for competitions',
    'profile_success_rate_markets' => 'Success rate for markets',
    'profile_follow' => 'Follow',
    'profile_unfollow' => 'Unfollow',
    'profile_favourite' => 'Favourite',
    'profile_unfavourite' => 'Remove Favourite',
    'profile_upload_avatar' => 'Upload Avatar',
    'error_passwords_dont_match' => 'The provided passwords do not match',
    'password_updated_successfully' => 'Your password was updated successfully.',
    'error_updating_password' => 'There was an error updating your password. Please try again later.',
    'error_old_password_wrong' => 'Your current password is wrong',
    'profile_updated_successfully' => 'Your profile was updated successfully.',
    'error_updating_profile' => 'There was an error updating your profile. Please try again later.',
    'edit_profile' => 'Edit profile',
    'edit_your_name' => 'Your name',
    'edit_your_nickname' => 'Your nickname',
    'edit_your_nickname_description' => 'Nicknames can contain only alphanumberic characters and underscore (_).',
    'edit_your_gender' => 'Your gender',
    'edit_gender_male' => 'Male',
    'edit_gender_female' => 'Female',
    'edit_gender_unspecified' => 'Not specified',
    'edit_your_country' => 'Your country',
    'edit_change_password' => 'Change password',
    'edit_change_password_current' => 'Current Password',
    'edit_change_password_new' => 'Your New Password',
    'edit_change_password_confirm' => 'Confirm New Password',
    'unauthorized' => 'Welcome to Your Profile',
    'unauthorized_description' => 'This page contains your interests, predictions, game participations and much more. However, it is reserved for singed in users.<br />Please log in your account in order to view this page.<br />',
    'avatar_upload_error_security_check' => 'Security check failed for the avatar upload',
    'avatar_upload_error_no_image' => 'No image supplied',
    'avatar_upload_error_invalid_type' => 'Invalid type',
    'avatar_upload_error_image_square' => 'Image should be square',
    'avatar_upload_error' => 'Error during avatar upload',
    'avatar_upload_success' => 'Avatar uploaded successfully',

    // Markets
    'FT_1X2' => 'Who will win?',
    'HT_1X2' => 'Who will win at half-time?',
    'DOUBLE_CHANCE' => 'Double Chance',
    'BOTH_TEAMS_SCORE' => 'Both teams to score?',
    'HT_FT' => 'Half-time/Full-time',
    'RED_CARD_MATCH' => 'Red card in the match?',
    'CORNERS_MATCH' => 'How many corners in the match?',
    'PENALTY_MATCH' => 'Penalty in the match?',
    'CORRECT_SCORE' => 'Correct score?',
    'CORRECT_SCORE_HT' => 'Correct score at half-time?',
    'CORRECT_SCORE_ADVANCED' => 'Advanced correct score?',
    'PLAYER_SCORE' => 'Player to score?',
    'PLAYER_SCORE_TWICE' => 'Player to score twice?',
    'PLAYER_SCORE_HATTRICK' => 'Player to score a hat-trick?',
    'PLAYER_SCORE_FIRST_GOAL' => 'Player to score the first goal?',
    'PLAYER_YELLOW_CARD' => 'Player to receive a yellow card?',
    'PLAYER_RED_CARD' => 'Player to receive a red card?',
    'OVER_GOALS_0_5' => 'Over 0.5 goals?',
    'OVER_GOALS_1_5' => 'Over 1.5 goals?',
    'OVER_GOALS_2_5' => 'Over 2.5 goals?',
    'OVER_GOALS_3_5' => 'Over 3.5 goals?',
    'OVER_GOALS_4_5' => 'Over 4.5 goals?',
    'OVER_GOALS_5_5' => 'Over 5.5 goals?',
    'OVER_GOALS_6_5' => 'Over 6.5 goals?',
    'OVER_CORNERS_6_5' => 'Over 6.5 corners?',
    'OVER_CORNERS_7_5' => 'Over 7.5 corners?',
    'OVER_CORNERS_8_5' => 'Over 8.5 corners?',
    'OVER_CORNERS_9_5' => 'Over 9.5 corners?',
    'OVER_CORNERS_10_5' => 'Over 10.5 corners?',
    'OVER_CORNERS_11_5' => 'Over 11.5 corners?',
    'OVER_CORNERS_12_5' => 'Over 12.5 corners?',
    'OVER_CORNERS_13_5' => 'Over 13.5 corners?',

    // Prediction hints
    'prediction_hint_no_predictions' => 'No predictions have been made yet for this market',
    'prediction_hint_home_win' => 'of users predict a home win',
    'prediction_hint_away_win' => 'of users predict an away win',
    'prediction_hint_draw' => 'of users predict a draw',
    'prediction_hint_answer_yes' => 'of users answer "Yes"',
    'prediction_hint_answer_no' => 'of users answer "No"',
    'prediction_hint_predict' => 'of users predict:',
    'prediction_hint_home_or_draw' => 'of users predict a home or a draw',
    'prediction_hint_home_or_away' => 'of users predict a home or away win',
    'prediction_hint_away_or_draw' => 'of users predict an away or a draw',

    // sports
    'sport_football' => 'Football',
    'sport_cricket' => 'Cricket',
    'sport_field_hockey' => 'Field Hockey',
    'sport_tennis' => 'Tennis',
    'sport_table_tennis' => 'Table Tennis',
    'sport_basketball' => 'Basketball',
    'sport_volleyball' => 'Volleyball',
    'sport_baseball' => 'Baseball',
    'sport_rugby' => 'Rugby',
    'sport_golf' => 'Golf',
    'sport_athletics' => 'Athletics',
    'sport_formula_1' => 'Formula 1',
    'sport_boxing' => 'Boxing',
    'sport_ice_hockey' => 'Ice hockey',
    'sport_american_football' => 'American Football',
    'sport_mma' => 'MMA',
    'sport_motogp' => 'MotoGP',
    'sport_badminton' => 'Badminton',
    'sport_cycling' => 'Cycling',
    'sport_snooker' => 'Snooker',
    'sport_gymnastics' => 'Gymnastics',
    'sport_handball' => 'Handball',
    'sport_wrestling' => 'Wrestling',
    'sport_horse_racing' => 'Horse racing',
    'sport_weight_lifting' => 'Weight Lifting',
    'sport_chess' => 'Chess',
    'sport_squash' => 'Squash',
    'sport_biathlon' => 'Biathlon',
    'sport_winter_sports' => 'Winter Sports',
    'sport_martial_arts' => 'Martial Arts',
    'sport_water_sports' => 'Water Sports',
    'sport_shooting' => 'Shooting',
    'sport_rally' => 'Rally',
    'sport_rhythmic_gymnastics' => 'Rhythmic Gymnastics',

    // quiz related
    'quiz_result_title_excellent' => 'You are awesome!',
    'quiz_result_title_good' => 'Very Good!',
    'quiz_result_title_poor' => 'Better luck next time!',
    'quiz_result_subtitle_excellent' => 'Congratulations on completing the quiz with a perfect score! You are on fire!',
    'quiz_result_subtitle_good' => 'Great job on completing the quiz with a strong score! You really know your stuff!',
    'quiz_result_subtitle_poor' => 'Don\'t worry, everyone has off days. Keep practicing!',
    'quiz_result_correct' => 'Correct',
    'quiz_result_incorrect' => 'Incorrect',
    'quiz_result_skipped' => 'Skipped',
    'quiz_result_share' => 'Share with a friend',
    'quiz_start_title' => 'Are you ready?',
    'quiz_start_description' => 'Click the button and drop us some knowledge!',
    'quiz_start_cta' => 'Start the Quiz!',
    'quiz_submit_cta' => 'Submit!',

]);


function fans_united_get_label($key) {
    // Detecting language
    $current_language = 'default'; // default language
    if (function_exists('wpml_current_language')) {
        $current_language = wpml_current_language();
    } elseif (function_exists('pll_current_language')) {
        $current_language = pll_current_language('slug');
    } else {
        $locale = get_locale();
        $current_language = substr($locale, 0, 2); // get first two characters from locale (en_US -> en)
    }

    // Retrieve the labels JSON from the WordPress option && Decode the labels JSON into an array
    $labels_json = get_option('fans_united_labels');
    $labels = $labels_json[$current_language] ?? [];

    // Check if the label exists in the saved options
    if (isset($labels[$key])) {
        return $labels[$key];
    }

    // If the label is not found in the saved options, check if it exists in the default labels constant
    if (defined('FANSUNITED_DEFAULT_LABELS') && isset(FANSUNITED_DEFAULT_LABELS[$key])) {
        return FANSUNITED_DEFAULT_LABELS[$key];
    }

    // If the label is not found in either the saved options or the default labels constant, return the key itself
    return $key;
}


