<?php

/**
 * All server-side rendered blocks 
 */

function fansUnitedTopXRenderCallback( $block_attributes, $content ) {
	if(!empty($block_attributes['game'])) {
        return sprintf(
            '<div data-component="top-x" data-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['game']
        );
    }
}

function fansUnitedTopXLinkRenderCallback( $block_attributes, $content ) {
	if(!empty($block_attributes['game'])) {
        return sprintf(
            '<div data-component="top-x-link" data-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['game']
        );
    }
}

function fansUnitedMatchQuizRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['game'])) {
        return sprintf(
            '<div data-component="match-quiz" data-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['game']
        );
    }
}

function fansUnitedClassicQuizRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['game'])) {
        return sprintf(
            '<div data-component="classic-quiz" data-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['game']
        );
    }
}

function fansUnitedClassicQuizzesListRenderCallback( $block_attributes, $content ) {
    
    if(empty($block_attributes['flags'])) {
        $block_attributes['flags'] = '';
    }
    if(empty($block_attributes['entities'])) {
        $block_attributes['entities'] = '';
    }
    if(empty($block_attributes['type'])) {
        $block_attributes['type'] = '';
    }
    
    return sprintf(
        '<div data-component="classic-quizzes-list" class="classic-quizzes-list" data-flags="%1$s" data-entities="%2$s" data-entity-type="%3$s" class="fans-united-functionality"></div>',
        $block_attributes['flags'], $block_attributes['entities'], $block_attributes['type']
    );
}

function fansUnitedMatchQuizLinkRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['game'])) {
        return sprintf(
            '<div data-component="match-quiz-link" data-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['game']
        );
    }
}

function fansUnitedLeaderboardRenderCallback( $block_attributes, $content ) {
	if(!empty($block_attributes['leaderboard_id'])) {
        return sprintf(
            '<div data-component="leaderboard" data-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['leaderboard_id']
        );
    }
}

function fansUnitedLeaderboardRankingRenderCallback( $block_attributes, $content ) {
	if(!empty($block_attributes['leaderboard_id'])) {
        return sprintf(
            '<div data-component="leaderboard-ranking" data-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['leaderboard_id']
        );
    }
}

function fansUnitedTournamentPredictorRenderCallback( $block_attributes, $content ) {
	if(!empty($block_attributes['leaderboard_id'])) {
        return sprintf(
            '<div data-component="tournament-predictor" data-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['leaderboard_id']
        );
    }
}

function fansUnitedLeaderboardLinkRenderCallback( $block_attributes, $content ) {
	if(!empty($block_attributes['leaderboard_id'])) {
        return sprintf(
            '<div data-component="leaderboard-link" data-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['leaderboard_id']
        );
    }
}

function fansUnitedTopPredictionsRenderCallback( $block_attributes, $content ) {
	return sprintf(
        '<div data-component="top-predictions" data-competition-id="%1$s" class="fans-united-functionality"></div>',
        $block_attributes['competition_id']
    );
}

function fansUnitedPredictionThreeWayRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['match_id']) && !empty($block_attributes['market'])) {
        return sprintf(
            '<div data-component="prediction-three-way" data-match-id="%1$s" data-market="%2$s" class="fans-united-functionality"></div>',
            $block_attributes['match_id'], $block_attributes['market'], 
        );
    }
}

function fansUnitedPredictionThreeWayNextMatchRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['team_id']) && !empty($block_attributes['market'])) {
        return sprintf(
            '<div data-component="prediction-three-way-next-match" data-team-id="%1$s" data-market="%2$s" class="fans-united-functionality"></div>',
            $block_attributes['team_id'], $block_attributes['market'], 
        );
    }
}

function fansUnitedPredictionYesNoRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['match_id']) && !empty($block_attributes['market'])) {
        return sprintf(
            '<div data-component="prediction-yes-no" data-match-id="%1$s" data-market="%2$s" class="fans-united-functionality"></div>',
            $block_attributes['match_id'], $block_attributes['market'], 
        );
    }
}

function fansUnitedPredictionYesNoNextMatchRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['team_id']) && !empty($block_attributes['market'])) {
        return sprintf(
            '<div data-component="prediction-yes-no-next-match" data-team-id="%1$s" data-market="%2$s" class="fans-united-functionality"></div>',
            $block_attributes['team_id'], $block_attributes['market'], 
        );
    }
}

function fansUnitedPredictionCorrectScoreRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['match_id']) && !empty($block_attributes['market'])) {
        return sprintf(
            '<div data-component="prediction-correct-score" data-match-id="%1$s" data-market="%2$s" class="fans-united-functionality"></div>',
            $block_attributes['match_id'], $block_attributes['market'], 
        );
    }
}

function fansUnitedPredictionCorrectScoreNextMatchRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['team_id']) && !empty($block_attributes['market'])) {
        return sprintf(
            '<div data-component="prediction-correct-score-next-match" data-team-id="%1$s" data-market="%2$s" class="fans-united-functionality"></div>',
            $block_attributes['team_id'], $block_attributes['market'], 
        );
    }
}

function fansUnitedPredictionDoubleChanceRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['match_id'])) {
        return sprintf(
            '<div data-component="prediction-double-chance" data-match-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['match_id'], 
        );
    }
}

function fansUnitedPredictionDoubleChanceNextMatchRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['team_id'])) {
        return sprintf(
            '<div data-component="prediction-double-chance-next-match" data-team-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['team_id'], 
        );
    }
}

function fansUnitedPredictionHtFtRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['match_id'])) {
        return sprintf(
            '<div data-component="prediction-ht-ft" data-match-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['match_id'], 
        );
    }
}

function fansUnitedPredictionHtFtNextMatchRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['team_id'])) {
        return sprintf(
            '<div data-component="prediction-ht-ft-next-match" data-team-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['team_id'], 
        );
    }
}

function fansUnitedPredictionCenterRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['match_id'])) {
        return sprintf(
            '<div data-component="prediction-center" data-match-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['match_id'], 
        );
    }
}

function fansUnitedPredictionCenterNextMatchRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['team_id'])) {
        return sprintf(
            '<div data-component="prediction-center-next-match" data-team-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['team_id'], 
        );
    }
}

function fansUnitedPredictionPlayerNextMatchRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['player_id']) && !empty($block_attributes['market'])) {
        return sprintf(
            '<div data-component="prediction-player-next-match" data-player-id="%1$s" data-market="%2$s" class="fans-united-functionality"></div>',
            $block_attributes['player_id'], $block_attributes['market'], 
        );
    }
}

function fansUnitedPredictionCenterPlayerNextMatchRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['player_id'])) {
        return sprintf(
            '<div data-component="prediction-center-player-next-match" data-player-id="%1$s" class="fans-united-functionality"></div>',
            $block_attributes['player_id'], 
        );
    }
}

function fansUnitedPredictionPlayerRenderCallback( $block_attributes, $content ) {
    if(!empty($block_attributes['player_id']) && !empty($block_attributes['market']) && !empty($block_attributes['match_id'])) {
        return sprintf(
            '<div data-component="prediction-player" data-player-id="%1$s" data-market="%2$s" data-match-id="%3$s" class="fans-united-functionality"></div>',
            $block_attributes['player_id'], $block_attributes['market'], $block_attributes['match_id'], 
        );
    }
}

