<?php

function fu_create_game_participation_table() {
    global $wpdb;

    $charset_collate = $wpdb->get_charset_collate();
    $table_name = $wpdb->prefix . 'fu_game_participations';

    $sql = "CREATE TABLE IF NOT EXISTS $table_name (
        id BIGINT(20) NOT NULL AUTO_INCREMENT,
        prediction_id varchar(255) NOT NULL,
        profile_id varchar(255) NOT NULL,
        game_id varchar(255) NOT NULL,
        user_email varchar(255) DEFAULT '' NOT NULL,
        timestamp datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
        PRIMARY KEY  (id),
        UNIQUE KEY game_email_unique (game_id, user_email),
        KEY prediction_id_index (prediction_id),
        KEY game_id_index (game_id),
        KEY profile_id_index (profile_id),
        KEY user_email_index (user_email),
        KEY timestamp_index (timestamp)
    ) $charset_collate;";

    require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
    dbDelta($sql);
}

register_activation_hook(FANSUNITED_PLUGIN_DIR . 'fans-united.php', 'fu_create_game_participation_table');
