<?php


function upload_avatar_ajax_handler() {
    // Verify nonce for security
    if (!isset($_POST['nonce']) || !wp_verify_nonce($_POST['nonce'], 'avatar-upload-nonce')) {
        wp_send_json_error(array('message' => 'avatar_upload_error_security_chech'));
    }

    // Check if a file was submitted
    if (!isset($_FILES['avatar']) || !is_uploaded_file($_FILES['avatar']['tmp_name'])) {
        wp_send_json_error(array('message' => 'avatar_upload_error_no_image'));
    }

    // Check file type
    $allowed_types = array('image/jpeg', 'image/png');
    if (!in_array($_FILES['avatar']['type'], $allowed_types)) {
        wp_send_json_error(array('message' => 'avatar_upload_error_invalid_type'));
    }

    // Check if the uploaded image is square
    $image_size = getimagesize($_FILES['avatar']['tmp_name']);
    if ($image_size[0] !== $image_size[1]) {
        wp_send_json_error(array('message' => 'avatar_upload_error_image_square'));
    }

    // Prepare the image data for insertion
    $uploaded = wp_handle_upload($_FILES['avatar'], ['test_form' => false]);
    if($uploaded['url']) {

        // Update user's avatar meta or any other logic
        // $user_id = get_current_user_id();
        // update_user_meta($user_id, 'avatar_url', wp_get_attachment_url($uploaded));

        wp_send_json_success(array('url' => $uploaded['url'], 'message' => 'avatar_upload_success'));
    } else {
        wp_send_json_error(array('message' => 'avatar_upload_error'));
    }
}
add_action('wp_ajax_upload_avatar', 'upload_avatar_ajax_handler');


