<?php

/**
 * Create and remove custom fans united forgotten password page
 * on plugin activation and deactivation
 */
function create_custom_fans_united_forgotten_password_page() {
    $page_title = 'Forgotten Password';
    $page_slug = 'fans-united-forgotten-password';
    $page_content = '<!-- wp:shortcode -->[fans-united-firebase-forgotten-password]<!-- /wp:shortcode -->';
    
    // Check if the forgotten password page already exists
    $forgotten_password_page = get_page_by_path($page_slug);
    if (!$forgotten_password_page) {
       
        // Create a new forgotten password page
        $forgotten_password_page_id = wp_insert_post(
            array(
                'post_title'     => $page_title,
                'post_name'      => $page_slug,
                'post_content'   => $page_content,
                'post_status'    => 'publish',
                'post_type'      => 'page',
            )
        );

        if ($forgotten_password_page_id) {
            update_option('fans_united_forgotten_password_page_id', $forgotten_password_page_id);
        }
    }
}
register_activation_hook(FANSUNITED_PLUGIN_DIR . 'fans-united.php', 'create_custom_fans_united_forgotten_password_page');

function remove_custom_fans_united_forgotten_password_page() {
    $forgotten_password_page_id = get_option('fans_united_forgotten_password_page_id');
    if ($forgotten_password_page_id) {
        wp_delete_post($forgotten_password_page_id, true);
        delete_option('fans_united_forgotten_password_page_id');
    }
}
// Disable the removal of the page on deactivation
// register_deactivation_hook(FANSUNITED_PLUGIN_DIR . 'fans-united.php', 'remove_custom_fans_united_forgotten_password_page');
