<?php

/**
 * Create and remove custom fans united log in page
 * on plugin activation and deactivation
 */
function create_custom_fans_united_login_page() {
    $page_title = 'Sign in';
    $page_slug = 'fans-united-signin';
    $page_content = '<!-- wp:shortcode -->[fans-united-firebase-signin-with-email]<!-- /wp:shortcode -->';
    // $page_template = FANSUNITED_PLUGIN_DIR . 'includes/templates/fans-united-login.php';
    
    // Check if the login page already exists
    $login_page = get_page_by_path($page_slug);
    if (!$login_page) {
       
        // Create a new login page
        $login_page_id = wp_insert_post(
            array(
                'post_title'     => $page_title,
                'post_name'      => $page_slug,
                'post_content'   => $page_content,
                'post_status'    => 'publish',
                'post_type'      => 'page',
                // 'page_template'  => $page_template,
            )
        );

        if ($login_page_id) {
            update_option('fans_united_login_page_id', $login_page_id);
        }
    }
}
register_activation_hook( FANSUNITED_PLUGIN_DIR . 'fans-united.php', 'create_custom_fans_united_login_page' );

function remove_custom_fans_united_login_page() {
    $login_page_id = get_option('fans_united_login_page_id');
    if ($login_page_id) {
        wp_delete_post($login_page_id, true);
        delete_option('fans_united_login_page_id');
    }
}
// Disable the removal of the page on deactivation
// register_deactivation_hook(FANSUNITED_PLUGIN_DIR . 'fans-united.php', 'remove_custom_fans_united_login_page');