<?php

/**
 * Create and remove custom Fans United profile page
 * on plugin activation and deactivation
 */
function create_custom_fans_united_profile_page() {
    $page_title = 'User Profile';
    $page_slug = 'fans-united-profile';
    $page_content = '<!-- wp:shortcode -->[fans-united-profile-content]<!-- /wp:shortcode -->';
    
    // Check if the profile page already exists
    $profile_page = get_page_by_path($page_slug);
    if (!$profile_page) {
       
        // Create a new profile page
        $profile_page_id = wp_insert_post(
            array(
                'post_title'     => $page_title,
                'post_name'      => $page_slug,
                'post_content'   => $page_content,
                'post_status'    => 'publish',
                'post_type'      => 'page',
            )
        );

        if ($profile_page_id) {
            update_option('fans_united_profile_page_id', $profile_page_id);
        }
    }
}
register_activation_hook( FANSUNITED_PLUGIN_DIR . 'fans-united.php', 'create_custom_fans_united_profile_page' );

function remove_custom_fans_united_profile_page() {
    $profile_page_id = get_option('fans_united_profile_page_id');
    if ($profile_page_id) {
        wp_delete_post($profile_page_id, true);
        delete_option('fans_united_profile_page_id');
    }
}
// Disable the removal of the page on deactivation
// register_deactivation_hook(FANSUNITED_PLUGIN_DIR . 'fans-united.php', 'remove_custom_fans_united_profile_page');
