<?php

/**
 * Create and remove custom Fans United registration page
 * on plugin activation and deactivation
 */
function create_custom_fans_united_registration_page() {
    $page_title = 'Register';
    $page_slug = 'fans-united-register';
    $page_content = '<!-- wp:shortcode -->[fans-united-firebase-registration]<!-- /wp:shortcode -->';
    
    // Check if the registration page already exists
    $registration_page = get_page_by_path($page_slug);
    if (!$registration_page) {
        // Create a new registration page
        $registration_page_id = wp_insert_post(
            array(
                'post_title'     => $page_title,
                'post_name'      => $page_slug,
                'post_content'   => $page_content,
                'post_status'    => 'publish',
                'post_type'      => 'page',
            )
        );

        if ($registration_page_id) {
            update_option('fans_united_registration_page_id', $registration_page_id);
        }
    }
}
register_activation_hook( FANSUNITED_PLUGIN_DIR . 'fans-united.php', 'create_custom_fans_united_registration_page' );

function remove_custom_fans_united_registration_page() {
    $registration_page_id = get_option('fans_united_registration_page_id');
    if ($registration_page_id) {
        wp_delete_post($registration_page_id, true);
        delete_option('fans_united_registration_page_id');
    }
}
// Disable the removal of the page on deactivation
// register_deactivation_hook(FANSUNITED_PLUGIN_DIR . 'fans-united.php', 'remove_custom_fans_united_registration_page');
