<?php

/**
 * Create and remove custom Fans United top x by id page
 * on plugin activation and deactivation
 */
function create_top_x_by_id_page() {
    $page_title = 'Play Top X';
    $page_slug = 'fans-united-top-x';
    $page_content = '<!-- wp:shortcode -->[top-x-by-id]<!-- /wp:shortcode -->';
    
    // Check if the registration page already exists
    $page = get_page_by_path($page_slug);
    if (!$page) {
        // Create a new registration page
        $page_id = wp_insert_post(
            array(
                'post_title'     => $page_title,
                'post_name'      => $page_slug,
                'post_content'   => $page_content,
                'post_status'    => 'publish',
                'post_type'      => 'page',
            )
        );

        if ($page_id) {
            update_option('fans_united_top_x_by_id_page_id', $page_id);
        }
    }
}
register_activation_hook( FANSUNITED_PLUGIN_DIR . 'fans-united.php', 'create_top_x_by_id_page' );

function remove_top_x_by_id_page() {
    $page_id = get_option('fans_united_top_x_by_id_page_id');
    if ($page_id) {
        wp_delete_post($page_id, true);
        delete_option('fans_united_top_x_by_id_page_id');
    }
}
// Disable the removal of the page on deactivation
// register_deactivation_hook(FANSUNITED_PLUGIN_DIR . 'fans-united.php', 'remove_top_x_by_id_page');
