<?php

/**
 * Firebase fields
 */

 function fans_united_firebase_anonymous_mode_callback() {
    $options = get_option('fans_united_options');
    $checked = isset($options['fans_united_firebase_anonymous_mode']) && $options['fans_united_firebase_anonymous_mode'] == '1' ? 'checked' : '';
    ?>
    <input type="checkbox" id="fans_united_firebase_anonymous_mode" name="fans_united_options[fans_united_firebase_anonymous_mode]" value="1" <?php echo $checked; ?>>
    <label for="fans_united_firebase_anonymous_mode">Enable the integration to run in Anonymous mode.</label>
    <p class="description">Anonymous mode is a mode where the profile and authentication have been disabled. All the predictions and games can be played, but for each game, before submission, users will have to provide their email. <a href="https://docs.fansunitedmedia.com/docs/wordpress-related-faq#what-is-anonymous-mode" target="_blank">More info</a></p>
    <?php
}


function fans_united_firebase_api_key_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_firebase_api_key]" value="<?php echo esc_attr($options['fans_united_firebase_api_key'] ?? ""); ?>">
    <p class="description">Your Firebase API key.</p>
    <?php
}

function fans_united_firebase_auth_domain_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_firebase_auth_domain]" value="<?php echo esc_attr($options['fans_united_firebase_auth_domain'] ?? ""); ?>">
    <p class="description">Your Firebase auth domain.</p>
    <?php
}

function fans_united_firebase_project_id_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_firebase_project_id]" value="<?php echo esc_attr($options['fans_united_firebase_project_id'] ?? ""); ?>">
    <p class="description">Your Firebase project ID.</p>
    <?php
}

function fans_united_firebase_app_id_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_firebase_app_id]" value="<?php echo esc_attr($options['fans_united_firebase_app_id'] ?? ""); ?>">
    <p class="description">Your Firebase application ID.</p>
    <?php
}

function fans_united_firebase_storage_bucket_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_firebase_storage_bucket]" value="<?php echo esc_attr($options['fans_united_firebase_storage_bucket'] ?? ""); ?>">
    <p class="description">Your Firebase storage bucket.</p>
    <?php
}

function fans_united_firebase_messaging_sender_id_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_firebase_messaging_sender_id]" value="<?php echo esc_attr($options['fans_united_firebase_messaging_sender_id'] ?? ""); ?>">
    <p class="description">Your Firebase messaging sender ID.</p>
    <?php
}

function fans_united_firebase_measurement_id_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_firebase_measurement_id]" value="<?php echo esc_attr($options['fans_united_firebase_measurement_id'] ?? ""); ?>">
    <p class="description">Your Firebase measurement ID.</p>
    <?php
}

function fans_united_fb_login_enabled_callback() {
    $options = get_option('fans_united_options');
    $checked = isset($options['fans_united_fb_login_enabled']) && $options['fans_united_fb_login_enabled'] == '1' ? 'checked' : '';
    ?>
    <input type="checkbox" id="fans_united_fb_login_enabled" name="fans_united_options[fans_united_fb_login_enabled]" value="1" <?php echo $checked; ?>>
    <label for="fans_united_fb_login_enabled">Check to enable Facebook Login (requires changes in Firebase)</label>
    <?php
}

function fans_united_google_login_enabled_callback() {
    $options = get_option('fans_united_options');
    $checked = isset($options['fans_united_google_login_enabled']) && $options['fans_united_google_login_enabled'] == '1' ? 'checked' : '';
    ?>
    <input type="checkbox" id="fans_united_google_login_enabled" name="fans_united_options[fans_united_google_login_enabled]" value="1" <?php echo $checked; ?>>
    <label for="fans_united_google_login_enabled">Check to enable Google Login (requires changes in Firebase)</label>
  <?php
}


/**
 * initiate the settings fields
 */
function fansUnitedFirebaseSettingsInit() {

    /**
     * Firebase settings
     */
    add_settings_field(
        'fans_united_firebase_anonymous_mode', // id
        'Anonymous Mode',
        'fans_united_firebase_anonymous_mode_callback', // callback
        'fans_united', // page
        'fans_united_firebase' // section
    );

    add_settings_field(
        'fans_united_firebase_api_key', // Field ID
        'Firebase API Key', // Field title
        'fans_united_firebase_api_key_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_firebase' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_firebase_auth_domain', // Field ID
        'Firebase Auth Domain', // Field title
        'fans_united_firebase_auth_domain_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_firebase' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_firebase_project_id', // Field ID
        'Firebase Project ID', // Field title
        'fans_united_firebase_project_id_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_firebase' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_firebase_app_id', // Field ID
        'Firebase Application ID', // Field title
        'fans_united_firebase_app_id_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_firebase' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_firebase_storage_bucket', // Field ID
        'Firebase Storage Bucket', // Field title
        'fans_united_firebase_storage_bucket_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_firebase' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_firebase_messaging_sender_id', // Field ID
        'Firebase Messaging Sender ID', // Field title
        'fans_united_firebase_messaging_sender_id_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_firebase' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_firebase_measurement_id', // Field ID
        'Firebase Measurement ID', // Field title
        'fans_united_firebase_measurement_id_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_firebase' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_fb_login_enabled', // id
        'Enable Facebook Login', // title
        'fans_united_fb_login_enabled_callback', // callback
        'fans_united', // page
        'fans_united_firebase' // section
    );

    add_settings_field(
        'fans_united_google_login_enabled', // id
        'Enable Google Login',
        'fans_united_google_login_enabled_callback', // callback
        'fans_united', // page
        'fans_united_firebase' // section
    );

}
add_action('admin_init', 'fansUnitedFirebaseSettingsInit');
