<?php

/**
 * initiate the settings fields
 */
function fansUnitedSettingsSectionsInit() {
    register_setting('fans_united_settings', 'fans_united_options');

    add_settings_section(
        'fans_united_section', // Section ID
        'Fans United Configuration', // Section title
        function() {
            echo 'Configure the settings for Fans United here.';
        }, // Callback function to render the section description
        'fans_united' // Page on which to display the section
    );

    add_settings_section(
        'fans_united_urls', // Section ID
        'Fans United URLs Configuration', // Section title
        function () {
            echo 'Configure the URLs for your Fans United functionality.';
        }, // Callback function to render the section description
        'fans_united' // Page on which to display the section
    );

    add_settings_section(
        'fans_united_firebase', // Section ID
        'Firebase Configuration', // Section title
        function () {
            echo 'Configure the settings for your Firebase project here.';
        }, // Callback function to render the section description
        'fans_united' // Page on which to display the section
    );

    add_settings_section(
        'fans_united_section_styling', // Section ID
        'Fans United Default Styling', // Section title
        function () {
            echo 'Configure the default styling options for Fans United functionality. If the styling values you provide are invalid, default/neutral ones will be used. By default, the default settings will be used. If your website utilizes a dark theme, Fans United also exposes styling fields for that. All CSS definitions for your dark theme will be prefixed with <b>html[data-theme="dark"]</b> or <b>html.dark.</b>';
        }, // Callback function to render the section description
        'fans_united' // Page on which to display the section
    );

    add_settings_section(
        'fans_united_section_dark_styling', // Section ID
        'Fans United Dark Styling', // Section title
        function () {
            echo 'Configure the styling options for your dark theme for the Fans United functionality. If the styling values you provide are invalid, default/neutral ones will be used. By default, the default settings will be used. If your website utilizes a dark theme, Fans United also exposes styling fields for that. All CSS definitions for your dark theme will be prefixed with <b>html[data-theme="dark"]</b> or <b>html.dark.</b>';
        }, // Callback function to render the section description
        'fans_united' // Page on which to display the section
    );

}
add_action('admin_init', 'fansUnitedSettingsSectionsInit');
