<?php

define('stylePropertyOptions', [
    // General Styles
    ["theme" => "default", "optionKey" => "fans_united_styling_primary_color", "title" => "Primary Color", "description" => "The primary/brand color of your brand. This is going to be used for hover states, active elements like current navigation, submit buttons, etc. It will be used for both the ligth and dark theme."],
    ["theme" => "default", "optionKey" => "fans_united_styling_border_radius", "title" => "Border Radius", "description" => "The default border radius you want to use for elements. It will be used for both the ligth and dark theme."],
    // Tab Styles
    ["theme" => "default", "optionKey" => "fans_united_styling_tab_bg_color", "title" => "Tab Background", "description" => "The background color of your inactive tabs as well as the game status area and the profile navigation."],
    ["theme" => "default", "optionKey" => "fans_united_styling_tab_text_color", "title" => "Tab Text Color", "description" => "The text color in your inactive tabs."],
    ["theme" => "default", "optionKey" => "fans_united_styling_active_tab_bg_color", "title" => "Active Tab Background", "description" => "The background color of your active tab. This color is used in active pagination as well."],
    ["theme" => "default", "optionKey" => "fans_united_styling_active_tab_text_color", "title" => "Active Tab Text Color", "description" => "The text color of your active tabs. This color is used in active pagination as well."],
    ["theme" => "default", "optionKey" => "fans_united_styling_tab_content_bg_color", "title" => "Tab Content Background", "description" => "The background color of your tab content area."],
    ["theme" => "default", "optionKey" => "fans_united_styling_tab_content_text_color", "title" => "Tab Content Text Color", "description" => "The text color in your tab content area."],
    // Card styles
    ["theme" => "default", "optionKey" => "fans_united_styling_card_bg_color", "title" => "Card Background", "description" => "The background color for your cards. These are the components that contain Fans United functionality."],
    ["theme" => "default", "optionKey" => "fans_united_styling_card_title_text_color", "title" => "Card Title Text Color", "description" => "The text color for the title of your cards."],
    ["theme" => "default", "optionKey" => "fans_united_styling_card_text_color", "title" => "Card Text Color", "description" => "The text color for your cards."],
    ["theme" => "default", "optionKey" => "fans_united_styling_card_divider_color", "title" => "Card Divider Color", "description" => "The color for the devider in your cards. This is the line that separate the header and footer from the main card content."],
    ["theme" => "default", "optionKey" => "fans_united_styling_card_padding", "title" => "Card Padding", "description" => "Override the padding in cards. The default is 20px."],
    ["theme" => "default", "optionKey" => "fans_united_styling_card_shadow", "title" => "Card Shadow", "description" => "Override the value for box-shadow on cards. Default value is: rgba(0, 0, 0, 0.1) 0px 4px 12px"],
    // Market styles
    ["theme" => "default", "optionKey" => "fans_united_styling_market_bg_color", "title" => "Market Background", "description" => "The background color for markets."],
    ["theme" => "default", "optionKey" => "fans_united_styling_market_border_color",  "title" => "Market Border Color", "description" => "The border color for markets."],
    ["theme" => "default", "optionKey" => "fans_united_styling_market_text_color", "title" => "Market Text Color", "description" => "The text color for markets."],
    ["theme" => "default", "optionKey" => "fans_united_styling_market_control_bg_color", "title" => "Market Control Background", "description" => "The background color for markets controls."],
    ["theme" => "default", "optionKey" => "fans_united_styling_market_control_input_bg_color", "title" => "Market Input Background", "description" => "The background color for market inputs."],
    ["theme" => "default", "optionKey" => "fans_united_styling_market_control_input_text_color", "title" => "Market Input Text Color", "description" => "The text color for market inputs."],
    ["theme" => "default", "optionKey" => "fans_united_styling_market_option_selected_bg_color", "title" => "Selected Element Background", "description" => "The background color of a selected option for a market."],
    ["theme" => "default", "optionKey" => "fans_united_styling_market_option_selected_border_color", "title" => "Selected Element Border Color", "description" => "The border color of a selected option for a market."],
    ["theme" => "default", "optionKey" => "fans_united_styling_market_option_selected_text_color", "title" => "Selected Element Text Color", "description" => "The text color of a selected option for a market."],

    // Dark tab Styles
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_tab_bg_color", "title" => "Tab Background", "description" => "The background color of your inactive tabs as well as the game status area and the profile navigation."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_tab_text_color", "title" => "Tab Text Color", "description" => "The text color in your inactive tabs."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_active_tab_bg_color", "title" => "Active Tab Background", "description" => "The background color of your active tab. This color is used in active pagination as well."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_active_tab_text_color", "title" => "Active Tab Text Color", "description" => "The text color of your active tabs. This color is used in active pagination as well."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_tab_content_bg_color", "title" => "Tab Content Background", "description" => "The background color of your tab content area."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_tab_content_text_color", "title" => "Tab Content Text Color", "description" => "The text color in your tab content area."],
    // Dark card styles
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_card_bg_color", "title" => "Card Background", "description" => "The background color for your cards. These are the components that contain Fans United functionality."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_card_title_text_color", "title" => "Card Title Text Color", "description" => "The text color for the title of your cards."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_card_text_color", "title" => "Card Text Color", "description" => "The text color for your cards."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_card_divider_color", "title" => "Card Divider Color", "description" => "The color for the devider in your cards. This is the line that separate the header and footer from the main card content."],
    // Dark market styles
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_market_bg_color", "title" => "Market Background", "description" => "The background color for markets."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_market_border_color",  "title" => "Market Border Color", "description" => "The border color for markets."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_market_text_color", "title" => "Market Text Color", "description" => "The text color for markets."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_market_control_bg_color", "title" => "Market Control Background", "description" => "The background color for markets controls."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_market_control_input_bg_color", "title" => "Market Input Background", "description" => "The background color for market inputs."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_market_control_input_text_color", "title" => "Market Input Text Color", "description" => "The text color for market inputs."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_market_option_selected_bg_color", "title" => "Selected Element Background", "description" => "The background color of a selected option for a market."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_market_option_selected_border_color", "title" => "Selected Element Border Color", "description" => "The border color of a selected option for a market."],
    ["theme" => "dark", "optionKey" => "fans_united_dark_styling_market_option_selected_text_color", "title" => "Selected Element Text Color", "description" => "The text color of a selected option for a market."],
]);


/**
 * initiate the settings fields
 */
function fansUnitedStylingSettingsInit() {
    foreach (stylePropertyOptions as $row) {
        add_settings_field(
            $row['optionKey'],  // Field ID
            $row['title'],      // Field title
            function() use ($row) {
                $options = get_option('fans_united_options');
                ?>
                <input type="text" name="fans_united_options[<?php echo $row['optionKey']; ?>]" value="<?php echo @esc_attr($options[$row['optionKey']]); ?>">
                <p class="description"><?php echo $row['description']; ?></p>
                <?php
            },  // Callback function to render the field
            'fans_united',       // Page on which to display the field
            ($row['theme'] === 'dark') ? 'fans_united_section_dark_styling' : 'fans_united_section_styling'  // Section in which to display the field
        );
    }
}
add_action('admin_init', 'fansUnitedStylingSettingsInit');
