<?php

/**
 * URL fields
 */
function fans_united_firebase_login_path_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_firebase_login_path]" value="<?php echo esc_attr($options['fans_united_firebase_login_path'] ?? ""); ?>">
    <p class="description">The path of your log-in page. If no path is defined, the default will be assumed: /fans-united-signin</p>
    <?php
}

function fans_united_firebase_register_path_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_firebase_register_path]" value="<?php echo esc_attr($options['fans_united_firebase_register_path'] ?? ""); ?>">
    <p class="description">The path of your registration page. If no path is defined, the default will be assumed: /fans-united-register</p>
    <?php
}

function fans_united_firebase_forgotten_password_path_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_firebase_forgotten_password_path]" value="<?php echo esc_attr($options['fans_united_firebase_forgotten_password_path'] ?? ""); ?>">
    <p class="description">The path of your forgotten password page. If no path is defined, the default will be assumed: /fans-united-forgotten-password</p>
    <?php
}

function fans_united_profile_path_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_profile_path]" value="<?php echo esc_attr($options['fans_united_profile_path'] ?? ""); ?>">
    <p class="description">The path of your profile page. If no path is defined, the default will be assumed: /fans-united-profile</p>
    <?php
}

function fans_united_top_x_path_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_top_x_path]" value="<?php echo esc_attr($options['fans_united_top_x_path'] ?? ""); ?>">
    <p class="description">The path of your Top X page that displays a game based on "id" parameter. If no path is defined, the default will be assumed: /fans-united-top-x?id=</p>
    <?php
}

function fans_united_match_quiz_path_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_match_quiz_path]" value="<?php echo esc_attr($options['fans_united_match_quiz_path'] ?? ""); ?>">
    <p class="description">The path of your Match Quiz page that displays a game based on "id" parameter. If no path is defined, the default will be assumed: /fans-united-match-quiz?id=</p>
    <?php
}

function fans_united_leaderboard_path_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_leaderboard_path]" value="<?php echo esc_attr($options['fans_united_leaderboard_path'] ?? ""); ?>">
    <p class="description">The path of your Match Quiz page that displays a game based on "id" parameter. If no path is defined, the default will be assumed: /fans-united-leaderboard?id=</p>
    <?php
}

function fans_united_public_profile_path_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_public_profile_path]" value="<?php echo esc_attr($options['fans_united_public_profile_path'] ?? ""); ?>">
    <p class="description">The path of your public profile page that displays a user profile based on "id" parameter. If no path is defined, the default will be assumed: /fans-united-public-profile?id=</p>
    <?php
}

function fans_united_classic_quiz_path_callback() {
    $options = get_option('fans_united_options');
    ?>
    <input type="text" name="fans_united_options[fans_united_classic_quiz_path]" value="<?php echo esc_attr($options['fans_united_classic_quiz_path'] ?? ""); ?>">
    <p class="description">The path of your Classic Quiz page that displays a game based on "id" parameter. If no path is defined, the default will be assumed: /fans-united-classic-quiz?id=</p>
    <?php
}


/**
 * initiate the settings fields
 */
function fansUnitedURLsSettingsInit() {

    add_settings_field(
        'fans_united_firebase_login_path', // Field ID
        'Login Page Path', // Field title
        'fans_united_firebase_login_path_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_urls' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_firebase_register_path', // Field ID
        'Registration Page Path', // Field title
        'fans_united_firebase_register_path_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_urls' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_firebase_forgotten_password_path', // Field ID
        'Forgotten Password Page Path', // Field title
        'fans_united_firebase_forgotten_password_path_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_urls' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_profile_path', // Field ID
        'Profile Page Path', // Field title
        'fans_united_profile_path_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_urls' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_top_x_path', // Field ID
        'Top X Page Path', // Field title
        'fans_united_top_x_path_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_urls' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_match_quiz_path', // Field ID
        'Match Quiz Page Path', // Field title
        'fans_united_match_quiz_path_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_urls' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_leaderboard_path', // Field ID
        'Leaderboard Page Path', // Field title
        'fans_united_leaderboard_path_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_urls' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_public_profile_path', // Field ID
        'Public Profile Page Path', // Field title
        'fans_united_public_profile_path_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_urls' // Section in which to display the field
    );

    add_settings_field(
        'fans_united_classic_quiz_path', // Field ID
        'Classic Quiz Page Path', // Field title
        'fans_united_classic_quiz_path_callback', // Callback function to render the field
        'fans_united', // Page on which to display the field
        'fans_united_urls' // Section in which to display the field
    );

}
add_action('admin_init', 'fansUnitedURLsSettingsInit');
